package com.bonus.material.ma.mapper;

import java.util.List;
import com.bonus.material.ma.domain.LabelBind;

/**
 * 机具设备标签Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface LabelBindMapper 
{
    /**
     * 查询机具设备标签
     * 
     * @param id 机具设备标签主键
     * @return 机具设备标签
     */
    public LabelBind selectLabelBindById(Long id);

    /**
     * 查询机具设备标签列表
     * 
     * @param labelBind 机具设备标签
     * @return 机具设备标签集合
     */
    public List<LabelBind> selectLabelBindList(LabelBind labelBind);

    /**
     * 新增机具设备标签
     * 
     * @param labelBind 机具设备标签
     * @return 结果
     */
    public int insertLabelBind(LabelBind labelBind);

    /**
     * 修改机具设备标签
     * 
     * @param labelBind 机具设备标签
     * @return 结果
     */
    public int updateLabelBind(LabelBind labelBind);

    /**
     * 删除机具设备标签
     * 
     * @param id 机具设备标签主键
     * @return 结果
     */
    public int deleteLabelBindById(Long id);

    /**
     * 批量删除机具设备标签
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabelBindByIds(Long[] ids);
}
